Index: sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php
===================================================================
--- sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php	(revision 2387)
+++ sandbox/expressoMail1_2/corretor_ortografico/spell_checker/spell_checker.php	(revision 2405)
@@ -40,14 +40,14 @@
 // User-configurable list of allowed HTML tags and attributes.
 // Thanks to Jake Olefsky for this little addition
-$allowed_html = '<strong><small><p><br><a><b><u><i><img><code><ul><ol><li>';
+//$allowed_html = '<strong><small><p><br><a><b><u><i><img><code><ul><ol><li>';  //Removed. Accept alll HTML tags.
 
 // Set the max number of suggestions to return at a time.
-define('MAX_SUGGESTIONS', 10);
+define('MAX_SUGGESTIONS', 3);
 
 // Set whether to use a personal dictionary.
-$usePersonalDict = true;
+$usePersonalDict = false;
 
 //Set whether users are allowed to update the personal dictionary.
-$editablePersonalDict = true;
+$editablePersonalDict = false;
 
 // If using a personal dictionary, set the path to it.  Default is in the
@@ -161,9 +161,9 @@
 	$retVal = "";
 
-   	//$string = stripslashes_custom($string); //we only need to strip slashes if magic quotes are on
-
-   	$string = remove_word_junk($string);        
-
-   	//make all the returns in the text look the same
+   	$string = stripslashes_custom($string); //we only need to strip slashes if magic quotes are on
+
+   	$string = remove_word_junk($string);
+
+        //make all the returns in the text look the same
 	$string = preg_replace("/\r?\n/", "\n", $string);
    
@@ -199,5 +199,5 @@
 				{                                        
                                         $onClick = "onclick=\"setCurrentObject(" . $varName . "); showSuggestions('" . addslashes($tmpWord) . "', '" . $varName . "_" . $misspelledCount . "_" . addslashes($tmpWord) . "'); return false;\"";
-                                        $words[$i][$j] = str_replace($tmpWord, "<span " . $onClick . " id=\"" . $varName . "_" . $misspelledCount . "_" . $tmpWord . "\" class=\"highlight\">" . stripslashes($tmpWord) . "</span>", $words[$i][$j]);
+                                        $words[$i][$j] = str_replace($tmpWord, "<span " . $onClick . " id=\"" . $varName . "_" . $misspelledCount . "_" . $tmpWord . "\" class=\"highlight\">" . stripslashes($tmpWord) . " </span>", $words[$i][$j]);
                                         $misspelledCount++;
 				} 
@@ -233,8 +233,12 @@
 	// Concatenate all the words/tags/etc. back into a string and append it to the result.
 	$string .= implode('', $words);
-	
-	//remove comments from around all html tags except for <a> because we don't want the links to be clickable
+
+        $string = preg_replace("/<!--</i", "<", $string);  //Retira os comentÃ¡rios das tags HTML
+        $string = preg_replace("/>-->/i", ">", $string);
+	
+	////Function Removed from the original. Accept alll HTML tags.
+        //remove comments from around all html tags except for <a> because we don't want the links to be clickable
 	//but we want the html to be rendered in the div for preview purposes.
-	$string = preg_replace("/<!--<br( [^>]*)?>-->/i", "<br />", $string);
+	/*$string = preg_replace("/<!--<br( [^>]*)?>-->/i", "<br />", $string);
 	$string = preg_replace("/<!--<p( [^>]*)?>-->/i", "<p>", $string);
 	$string = preg_replace("/<!--<\/p>-->/i", "</p>", $string);
@@ -252,5 +256,15 @@
 	$string = preg_replace("/<!--<\/li>-->/i", "</li>", $string);
 	$string = preg_replace("/<!--<img (?:[^>]+ )?src=\"?([^\"]*)\"?[^>]*>-->/i", "<img src=\"\\1\" />", $string);
-
+<<<<<<< .mine
+
+        $string = preg_replace("/<!--<table( [^>]*)?>-->/i", "<table border=\"\\\" >", $string);
+	$string = preg_replace("/<!--<\/table>-->/i", "</table>", $string);
+        $string = preg_replace("/<!--<td( [^>]*)?>-->/i", "<td>", $string);
+	$string = preg_replace("/<!--<\/td>-->/i", "</td>", $string);
+        $string = preg_replace("/<!--<tbody( [^>]*)?>-->/i", "<tbody>", $string);
+	$string = preg_replace("/<!--<\/tbody>-->/i", "</tbody>", $string);
+        $string = preg_replace("/<!--<tr( [^>]*)?>-->/i", "<tr>", $string);
+	$string = preg_replace("/<!--<\/tr>-->/i", "</tr>", $string);*/
+        	
 	$cp->set_data(utf8_encode($string));  //return value - string containing all the markup for the misspelled words.
 
@@ -431,8 +445,10 @@
 	$string = preg_replace("/\r?\n/", " ", $string);
 	$string = stripslashes_custom($string); //we only need to strip slashes if magic quotes are on
-	$string = strip_tags($string, $allowed_html);
+	//$string = strip_tags($string, $allowed_html); //Removed. Accept all HTML tags.
 	$string = preg_replace('{&lt;/?span.*?&gt;}i', '', $string);
-	$string = html_entity_decode($string);
+        $string = html_entity_decode($string);
+
 	$cp->set_data($string); //the return value
+      
 	
 } // end switchText