Index: trunk/admin/inc/class.uiaccess_history.inc.php
===================================================================
--- trunk/admin/inc/class.uiaccess_history.inc.php	(revision 2)
+++ trunk/admin/inc/class.uiaccess_history.inc.php	(revision 2419)
@@ -51,6 +51,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$total_records = $this->bo->total($account_id);
Index: trunk/admin/inc/class.uicategories.inc.php
===================================================================
--- trunk/admin/inc/class.uicategories.inc.php	(revision 662)
+++ trunk/admin/inc/class.uicategories.inc.php	(revision 2419)
@@ -178,6 +178,6 @@
 
 			$GLOBALS['phpgw_info']['flags']['app_header'] .= ' - '.lang('Global categories');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 			$this->set_langs();
 
@@ -542,6 +542,6 @@
 			$this->template->set_var('hidden_vars',$hidden_vars);
 
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$this->template->pfp('out','form');
@@ -601,6 +601,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$hidden_vars = '<input type="hidden" name="cat_id" value="' . $this->cat_id . '">' . "\n";
Index: trunk/admin/inc/class.uiapplications.inc.php
===================================================================
--- trunk/admin/inc/class.uiapplications.inc.php	(revision 2)
+++ trunk/admin/inc/class.uiapplications.inc.php	(revision 2419)
@@ -46,6 +46,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$GLOBALS['phpgw']->template->set_file(array('applications' => 'applications.tpl'));
@@ -225,6 +225,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$GLOBALS['phpgw']->template->set_var('th_bg',$GLOBALS['phpgw_info']['theme']['th_bg']);
@@ -307,6 +307,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			if ($totalerrors)
@@ -369,6 +369,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$GLOBALS['phpgw']->template->set_var('messages',lang('Are you sure you want to delete the application %1 ?',$GLOBALS['phpgw_info']['apps'][$app_name]['title']));
Index: trunk/admin/inc/class.uivoip.inc.php
===================================================================
--- trunk/admin/inc/class.uivoip.inc.php	(revision 571)
+++ trunk/admin/inc/class.uivoip.inc.php	(revision 2419)
@@ -57,7 +57,8 @@
 			$GLOBALS['phpgw']->js->validate_file('voip',$tmp,'admin');
 		
-		$GLOBALS['phpgw']->common->phpgw_header();
-		echo parse_navbar();
+		//$GLOBALS['phpgw']->common->phpgw_header();
+		//echo parse_navbar();
 		echo '<script type="text/javascript">var path_adm="'.$webserver_url .'"</script>';
+		echo $GLOBALS['phpgw']->js->get_script_links();
 
 		$ous = "<option value='-1'>-- ".lang('Select Organization')." --</option>";	
Index: trunk/admin/inc/class.uilog.inc.php
===================================================================
--- trunk/admin/inc/class.uilog.inc.php	(revision 2)
+++ trunk/admin/inc/class.uilog.inc.php	(revision 2419)
@@ -266,6 +266,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 			$this->t->pfp('out','log_list_t');
 //			$this->set_app_langs();
Index: trunk/admin/inc/class.uimainscreen.inc.php
===================================================================
--- trunk/admin/inc/class.uimainscreen.inc.php	(revision 1362)
+++ trunk/admin/inc/class.uimainscreen.inc.php	(revision 2419)
@@ -93,6 +93,6 @@
 
 			   $GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			   $GLOBALS['phpgw']->common->phpgw_header();
-			   echo parse_navbar();
+			   //$GLOBALS['phpgw']->common->phpgw_header();
+			   //echo parse_navbar();
 				  
 			   
@@ -161,6 +161,6 @@
 
 				$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-				$GLOBALS['phpgw']->common->phpgw_header();
-				echo parse_navbar();
+				//$GLOBALS['phpgw']->common->phpgw_header();
+				//echo parse_navbar();
 				
 				$GLOBALS['phpgw']->template->set_var('form_action',$GLOBALS['phpgw']->link('/index.php','menuaction=admin.uimainscreen.index'));
Index: trunk/admin/inc/class.uiasyncservice.inc.php
===================================================================
--- trunk/admin/inc/class.uiasyncservice.inc.php	(revision 86)
+++ trunk/admin/inc/class.uiasyncservice.inc.php	(revision 2419)
@@ -47,6 +47,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			$async = $GLOBALS['phpgw']->asyncservice;	// use an own instance, as we might set debug=True
Index: trunk/admin/inc/class.uiconfig.inc.php
===================================================================
--- trunk/admin/inc/class.uiconfig.inc.php	(revision 1325)
+++ trunk/admin/inc/class.uiconfig.inc.php	(revision 2419)
@@ -149,6 +149,6 @@
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
 
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			if($appname=="expressoAdmin1_2") {
@@ -189,5 +189,12 @@
 				include_once("news_admin/inc/fckeditor.php");
 				$oFCKeditor = new FCKeditor('newsettings[agree_term]');//CreateObject('news_admin.fckeditor','newsettings[agree_term]');
-				$oFCKeditor->BasePath = 'news_admin/templates/default/fckeditor/'; 
+
+				$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
+				$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
+
+				if(strrpos($webserver_url,'/') === false || strrpos($webserver_url,'/') != (strlen($webserver_url)-1))
+					$webserver_url .= '/';
+
+				$oFCKeditor->BasePath = $webserver_url . 'news_admin/templates/default/fckeditor/'; 
 				$oFCKeditor->ToolbarSet = 'Basic';
 				$oFCKeditor->Value = isset($GLOBALS['phpgw_info']['server']['agree_term']) ? $GLOBALS['phpgw_info']['server']['agree_term'] : '';
Index: trunk/admin/inc/class.uicurrentsessions.inc.php
===================================================================
--- trunk/admin/inc/class.uicurrentsessions.inc.php	(revision 2)
+++ trunk/admin/inc/class.uicurrentsessions.inc.php	(revision 2419)
@@ -39,6 +39,6 @@
 			}
 			$GLOBALS['phpgw']->js->validate_file('jscode','openwindow','admin');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 		}
 
Index: trunk/admin/phpinfo.php
===================================================================
--- trunk/admin/phpinfo.php	(revision 2)
+++ trunk/admin/phpinfo.php	(revision 2419)
@@ -23,5 +23,19 @@
 	}
 
-// Throw a little notice out if PHPaccelerator is enabled.
+	ob_start();
+
+	phpinfo();
+
+	$matches = array ();
+	preg_match( '%(<style type="text/css">.*?</style>).*?<body>(.*?)</body>%s', ob_get_clean( ), $matches );
+
+	$matches[ 1 ] = preg_replace( '%body.*?{[^}]*}\n%s', '', $matches[ 1 ] );
+	$matches[ 1 ] = preg_replace( '%(\n)%s', '$1.phpinfo ', $matches[ 1 ] );
+
+	phpcredits( CREDITS_ALL - CREDITS_FULLPAGE );
+
+	$matches[ 2 ] = preg_replace( '%<a[^>]*>PHP Credits</a>%s', ob_get_clean( ), $matches[ 2 ] );
+
+	// Throw a little notice out if PHPaccelerator is enabled.
 	if($GLOBALS['_PHPA']['ENABLED'])
 	{
@@ -30,5 +44,4 @@
 	}
 
-	phpinfo();
-//	$phpgw->common->phpgw_footer();
+	print $matches[ 1 ] . '<div class="phpinfo">' . $matches[ 2 ] . '</div>';
 ?>
Index: trunk/admin/templates/default/listcats.tpl
===================================================================
--- trunk/admin/templates/default/listcats.tpl	(revision 577)
+++ trunk/admin/templates/default/listcats.tpl	(revision 2419)
@@ -56,11 +56,11 @@
 
 			<tr valign="bottom" height="50">
-			<form method="POST" action="{action_url}">
-<!-- BEGIN add -->
-				<td><input type="submit" name="add" value="{lang_add}"> &nbsp;
-<!-- END add -->
-				<input type="submit" name="done" value="{lang_cancel}"></td>
+				<td>
+					<form method="POST" action="{action_url}">
+						<input type="submit" name="add" value="{lang_add}"> &nbsp;
+						<input type="submit" name="done" value="{lang_cancel}">
+					</form>
+				</td>
 				<td colspan="5">&nbsp;</td>
-			</form>
 			</tr>
 		</table>